// OtporniciT.java - Ispitivanje klasa otpornika.

import otpornici.*;

public class OtporniciT {
  
  private static ApstraktniOtpornik citaj () {         // Citanje otpornika.
    String vrs = Citaj.String ();
    if (vrs.equalsIgnoreCase ("prosti"))
      return new ProstiOtpornik (Citaj.Double ());
    else if (vrs.equalsIgnoreCase ("redni"))
      return citaj (new RednaVezaOtpornika ());
    else if (vrs.equalsIgnoreCase ("paralelni"))
      return citaj (new ParalelnaVezaOtpornika ());
    else
      return null;
  }
  
  private static SlozeniOtpornik citaj (SlozeniOtpornik R) { // Citanje
    while (true) {                                           //   sloenog
      ApstraktniOtpornik r = citaj ();                       //   otpronika.
    if (r == null) return R;
      R.dodaj (r);
    }
  }

  public static void main (String[] vpar) {               // Glavni program.
    ApstraktniOtpornik R;
    while ((R = citaj()) != null)
      System.out.println (R + " = " + R.otpornost());
  }
}