// ParalelnaVezaOtpornika.java - Klasa paralelno vezanih otpronika.

package otpornici;

public class ParalelnaVezaOtpornika extends SlozeniOtpornik {
  
  public double otpornost () {                 // Otpronost otpronika.
    double s = 0;
    for (Elem tek=prvi; tek!=null; tek=tek.sled)
      s += 1 / tek.R.otpornost ();
    return 1 / s;
  }
  
  protected final char otv  () { return '['; } // Simboli za tekstualni
  protected final char oper () { return '|'; } //   prikaz.
  protected final char zatv () { return ']'; }
}